<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('hexling_badges', function (Blueprint $table) {
            $table->id();
            $table->string('badge_name')->default('');
            $table->string('badge_description')->default('');
            $table->string('badge_image')->nullable();
            $table->integer('badge_points')->default(0);
            $table->integer('badge_order')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('hexling_badges');
    }
};
